/*
  Blikanie_LED_1s
  Program opakovane rozsvecuje a zhasina LED na pine PB0

  Kontaktne pole Breadboard: ATmega32, 1MHz interny oscilator
  Default FUSE: E1-99-XX-FF-BCBCBCBC
*/


#ifndef F_CPU
#define F_CPU 1000000UL
#endif

#include<avr/io.h>
#include<util/delay.h>


int main() {
  DDRB |= 1<<PB0;          // nastavi pin ako vystupny (1)
  
  while(1) {
    _delay_ms(1000);       // caka 1000ms (1s)
    PORTB ^= 1<<PB0;       // vymeni stav na LED (z 0 na 1 a naopak)
  }
}
